Subject: Re: Can I make USB IP addresses persist across unplug-replug events.

From: Antonio Quartulli <[email-masked]>
Date: Fri, 04 Apr 2014 16:08:04 +0200

On 04/04/14 15:47, David Laight wrote:
> Is there a sane way to stop the local IP address (etc) associated
> with a USB network interface being deleted when the USB card
> is unplugged - so that everything will recover quickly when it is
> plugged back in?
> 
> Maybe something horrid like master-slave bonding/teaming with a dummy
> software interface which will silently discard tx traffic when the
> usb interface is missing.

What about a bridge interface? When the usb network device is plugged-in
you can enslave it in the bridge (and viceversa on unplug).

The IP is configured on the bridge so it will survive and also the users
applications using it.

no? or am I missing something important? :)

Cheers,

-- 
Antonio Quartulli